Subject: Re: [apps-discuss] FW: Comments on Malformed Message BCP draft

From: "Murray S. Kucherawy" <[email-masked]>
Date: Tue, 10 May 2011 11:52:16 -0700

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Barry Leiba
> Sent: Tuesday, April 19, 2011 11:40 AM
> To: Murray S. Kucherawy
> Cc: [email-masked]; [email-masked]
> Subject: Re: FW: Comments on Malformed Message BCP draft
> 
> On reading all the comments about this, and thinking about it myself,
> I'm of a very mixed mind.
> 
> First: I have no sympathy for the comments that we should fix this
> stuff in 5322, and not in some "add-on".  This is *not* "fixing"
> anything.  This is *not* saying that any of the "malformed" messages
> are now valid.  This is not changing anything at all in 5322.  What
> this is doing is acknowledging that senders often violate 5322, and
> that those violations are *wrong*.  What it adds is that it also
> acknowledges the reality that, as Nathaniel and others have said, we
> can't just throw those wrong messages away, and there's some value in
> agreeing how to handle them.  This document -- or its final version --
> is an attempt to document that agreement.
> 
> Agents along the way -- MSAs, MTAs, MDAs, and MUAs -- will make their
> guesses and fix-ups, and I do think it's in the best interest of
> everyone for us to document less-harmful avenues to take, as well as
> roads to hell.  So I support this document for that reason.
> [...]

Since it was about to expire, I've posted a -01 version of this draft.  There are no changes to the meat of it yet as the focus has been more about where this fits rather than the details of what it should say, but rather the abstract and intro now make clear the sentiments of Barry's second paragraph above, which does indeed reflect my original intent for bringing the work in the first place.